Package be.ehealth.businessconnector.chapterIV.wrapper.impl

# Class AskSealedRequestWrapperImpl

java.lang.Object
be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper<Request>
be.ehealth.businessconnector.chapterIV.wrapper.impl.AskSealedRequestWrapperImpl

All Implemented Interfaces:
  `SealedRequestWrapper<Request>`, `WrappedXmlObject<Request>`, `Serializable`

public class AskSealedRequestWrapperImpl extends AbstractWrapper<Request> implements SealedRequestWrapper<Request>
wraps generated xml class in wrapper that implements an interface. workaround for the fact that the generated code have actually implement common interface, but share no hieararchy or java interface. changing the xsd is not an option at the moment. Implements : `SealedRequestWrapper`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AskSealedRequestWrapperImpl()`
  `AskSealedRequestWrapperImpl(Request request)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAgreementStartDate()`
  Gets the value of the agreementStartDate property.
  `CareReceiverIdType`
  `getCareReceiver()`
  Gets the value of the careReceiver property.
  `byte[]`
  `getSealedContent()`
  Gets the value of the sealedContent property.
  `String`
  `getUnsealKeyId()`
  Gets the value of the unsealKeyId property.
  `void`
  `setAgreementStartDate(Instant value)`
  Sets the value of the agreementStartDate property.
  `void`
  `setCareReceiver(CareReceiverIdType value)`
  Sets the value of the careReceiver property.
  `void`
  `setSealedContent(byte[] value)`
  Sets the value of the sealedContent property.
  `void`
  `setUnsealKeyId(String value)`
  Sets the value of the unsealKeyId property.

  ### Methods inherited from class be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper

  `getXmlObject`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.WrappedXmlObject

  `getXmlObject`

- ## Constructor Details

  - ### AskSealedRequestWrapperImpl

    public AskSealedRequestWrapperImpl(Request request)
    Parameters:
      `request` -

  - ### AskSealedRequestWrapperImpl

    public AskSealedRequestWrapperImpl()

- ## Method Details

  - ### getCareReceiver

    public CareReceiverIdType getCareReceiver()
    Description copied from interface: `SealedRequestWrapper`
    Gets the value of the careReceiver property.
    Specified by:
      `getCareReceiver` in interface `SealedRequestWrapper<Request>`
    Returns:
    See Also:
      - `Request.getCareReceiver()`

  - ### setCareReceiver

    public void setCareReceiver(CareReceiverIdType value)
    Description copied from interface: `SealedRequestWrapper`
    Sets the value of the careReceiver property.
    Specified by:
      `setCareReceiver` in interface `SealedRequestWrapper<Request>`
    Parameters:
      `value` -

  - ### getAgreementStartDate

    public Instant getAgreementStartDate()
    Description copied from interface: `SealedRequestWrapper`
    Gets the value of the agreementStartDate property.
    Specified by:
      `getAgreementStartDate` in interface `SealedRequestWrapper<Request>`
    Returns:
    See Also:
      - `Request.getAgreementStartDate()`

  - ### setAgreementStartDate

    public void setAgreementStartDate(Instant value)
    Description copied from interface: `SealedRequestWrapper`
    Sets the value of the agreementStartDate property.
    Specified by:
      `setAgreementStartDate` in interface `SealedRequestWrapper<Request>`
    Parameters:
      `value` -

  - ### getUnsealKeyId

    public String getUnsealKeyId()
    Description copied from interface: `SealedRequestWrapper`
    Gets the value of the unsealKeyId property.
    Specified by:
      `getUnsealKeyId` in interface `SealedRequestWrapper<Request>`
    Returns:
    See Also:
      - `Request.getUnsealKeyId()`

  - ### setUnsealKeyId

    public void setUnsealKeyId(String value)
    Description copied from interface: `SealedRequestWrapper`
    Sets the value of the unsealKeyId property.
    Specified by:
      `setUnsealKeyId` in interface `SealedRequestWrapper<Request>`
    Parameters:
      `value` -

  - ### getSealedContent

    public byte[] getSealedContent()
    Description copied from interface: `SealedRequestWrapper`
    Gets the value of the sealedContent property.
    Specified by:
      `getSealedContent` in interface `SealedRequestWrapper<Request>`
    Returns:
    See Also:
      - `Request.getSealedContent()`

  - ### setSealedContent

    public void setSealedContent(byte[] value)
    Description copied from interface: `SealedRequestWrapper`
    Sets the value of the sealedContent property.
    Specified by:
      `setSealedContent` in interface `SealedRequestWrapper<Request>`
    Parameters:
      `value` -